<!doctype html>
<html class="no-js" lang="">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title></title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="styles/vendor/jquery.countdown.css">
    <link rel="stylesheet" href="styles/main.css">

    <script src="scripts/vendor/jquery-1.11.2.min.js"></script>
	<script src="scripts/vendor/jquery-ui.js"></script>
    <script src="scripts/vendor/vue.min.js"></script>
	<script src="scripts/vendor/slick.min.js"></script>
	<script src="scripts/vendor/jquery.magnific-popup.min.js"></script>
    <script src="scripts/vendor/jquery.bootstrap-touchspin.min.js"></script>
    <script type="text/javascript" src="scripts/vendor/jquery.countdown.js"></script>
	<script src="scripts/main.js"></script>
</head>

<body>

    <header>

        <div class="header_inner">

            <div class="headerTop">
                <div class="wrap">
                    <div class="headerTop_social">
                        <a href="#" class="header_fb"></a>
                        <a href="#" class="header_line"></a>
                        <a href="#" class="header_ig"></a>
                        <a href="#" class="header_letter"></a>
                    </div>
                    <h1>
                        <a href="default.html"></a>
                    </h1>
                </div>
            </div>



            <div class="headerBottom">
                <div class="wrap">
                    <a href="default.html" class="headerBottom_logo"></a>

                    <div class="headerBottom_center">

                        <ul class="menu">
                            <li>
                                <a href="#">
                                    <span>BRAND</span>
                                    <span>品牌</span>
                                </a>
                                <ul class="submenu">
                                    <li>
                                        <a href="#">義大利La Belle</a>
                                        <ul class="submenu2">
                                            <li><a href="#">義大利La Belle1</a></li>
                                            <li><a href="#">義大利La Belle2</a></li>
                                            <li><a href="#">義大利La Belle3</a></li>
                                        </ul>
                                    </li>
                                    <li>
                                        <a href="#">義大利Fancy Belle</a>
                                        <ul class="submenu2">
                                            <li><a href="#">義大利Fancy Belle1</a></li>
                                            <li><a href="#">義大利Fancy Belle2</a></li>
                                            <li><a href="#">義大利Fancy Belle3</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="#">法國CASA Belle</a></li>
                                    <li>
                                        <a href="#">西班牙REVERT</a>
                                        <ul class="submenu2">
                                            <li><a href="#">西班牙REVERT1</a></li>
                                            <li><a href="#">西班牙REVERT2</a></li>
                                            <li><a href="#">西班牙REVERT3</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="#">英國Abelia</a></li>
                                    <li><a href="#">日本西川</a></li>
                                    <li><a href="#">義大利Les Epiciers</a></li>
                                </ul>
                            </li>
                            <li>
                                <a href="#">
                                    <span>COLLECTION</span>
                                    <span>品項</span>
                                </a>
                                <ul class="submenu">
                                    <li><a href="#">被套床包組</a></li>
                                    <li><a href="#">兩用被床包組</a></li>
                                    <li><a href="#">天絲床組</a></li>
                                    <li><a href="#">中式床罩組</a></li>
                                    <li><a href="#">MIT台灣製</a></li>
                                    <li><a href="#">枕頭</a></li>
                                    <li><a href="#">毯/被類</a></li>
                                    <li><a href="#">保潔墊</a></li>
                                    <li><a href="#">配件/其他</a></li>
                                </ul>
                            </li>
                            <li>
                                <a href="#">
                                    <span>SIZE</span>
                                    <span>尺寸</span>
                                </a>
                                <ul class="submenu">
                                    <li><a href="#">單人Single</a></li>
                                    <li><a href="#">雙人Double</a></li>
                                    <li><a href="#">加大Queen</a></li>
                                    <li><a href="#">特大King</a></li>
                                </ul>
                            </li>
                            <li>
                                <a href="#">
                                    <span>DESIGNER</span>
                                    <span>設計師</span>
                                </a>
                                <ul class="submenu">
                                    <li><a href="#">Malis 馬里斯</a></li>
                                    <li><a href="#">furry furry</a></li>
                                    <li><a href="#">DreamfulCat 喵伊</a></li>
                                    <li><a href="#">Scentennials</a></li>
                                    <li><a href="#">CYPRESS HOME</a></li>
                                    <li><a href="#">TopChoice</a></li>
                                </ul>
                            </li>
                            <li>
                                <a href="#">
                                    <span>OUTLET</span>
                                    <span>絕版品</span>
                                </a>
                            </li>
                        </ul>

                        <div class="headerSearch">
                            <input type="text" name="" placeholder="SEARCH">    
                            <a href="#"></a>
                        </div>
                            
                    </div>
                </div>
            </div>



            <div class="header_right">
                <ul>
                    <li class="header_signin">
                        <a href="#">
                            <span>SIGN IN</span>
                            <span>登入</span>
                        </a>
                        <ul class="header_right_submenu">
                            <li><a href="#">我的帳戶</a></li>
                            <li><a href="#">會員中心</a></li>
                            <li><a href="#">登出</a></li>
                            <li><a href="#">購物小幫手</a></li>
                        </ul>
                    </li> 
                    <li class="header_member">
                        <a href="#">
                            <span>MY BAG</span>
                            <span>購物車</span>
                        </a>
                        <ul class="header_right_submenu">
                            <li><a href="#">我要結帳</a></li>
                            <li><a href="#">我的收藏</a></li>
                        </ul>
                    </li>
                    <li class="header_cart">
                        <a href="#">
                            <span>STORE</span>
                            <span>店舖資訊</span>
                        </a>
                        <ul class="header_right_submenu">
                            <li><a href="#">專櫃/門市資訊</a></li>
                            <li><a href="#">全台特賣會資訊</a></li>
                        </ul>
                    </li>
                </ul>
            </div>

        </div>

    </header>
    <script>
        $(function() {
            $('.addToBag').click(function() {
                // e.preventDefault();
                alert('here');
            })
        })
    </script>
    <div class="wrap">

        <div class="innerWrap clearfix">

            <aside>

                <!-- 選單 -->
                <div class="asideAcc">
                    <a href="#">最新活動</a>
                    <div>
                        <ul>
                            <li><a href="#">純棉抗菌床組任選 &#8600; 85折</a></li>
                            <li><a href="#">針織棉被套床包組 &#8600; 3680起</a></li>
                            <li><a href="#">居家保潔系列任選 &#8600; $399起</a></li>
                            <li><a href="#">設計師聯名系列 &#8600; 85折</a></li>
                            <li><a href="#">國民平價寢具二入 &#8600; $2980</a></li>
                            <li><a href="#">飯店愛用枕任選兩件 &#8600; 83折</a></li>
                            <li><a href="#">純棉床組任選兩件$3560起</a></li>
                            <li><a href="#">指定商品5折</a></li>
                        </ul>
                    </div>

                    <a href="#">品牌</a>  
                    <div>
                        <ul>
                            <li><a href="#">義大利La Belle</a></li>
                            <li><a href="#">義大利Fancy Belle</a></li>
                            <li><a href="#">法國CASA Belle</a></li>
                            <li><a href="#">西班牙REVERT</a></li>
                            <li><a href="#">英國Abelia</a></li>
                            <li><a href="#">日本西川</a></li>
                            <li><a href="#">義大利Les Epiciers</a></li>
                        </ul>
                    </div>

                    <a href="#">品項</a>
                    <div>
                        <ul>
                            <li><a href="#">被套床包組</a></li>
                            <li><a href="#">兩用被床包組</a></li>
                            <li><a href="#">天絲床組</a></li>
                            <li><a href="#">中式床罩組</a></li>
                            <li><a href="#">MIT台灣製</a></li>
                            <li><a href="#">枕頭</a></li>
                            <li><a href="#">毯/被類</a></li>
                            <li><a href="#">保潔墊</a></li>
                            <li><a href="#">配件/其他</a></li>
                        </ul>
                    </div>

                    <a href="#">尺寸</a>
                    <div>
                        <ul>
                            <li><a href="#">單人Single</a></li>
                            <li><a href="#">雙人Double</a></li>
                            <li><a href="#">加大Queen</a></li>
                            <li><a href="#">特大King</a></li>
                        </ul>
                    </div>

                    <a href="#">價格</a>
                    <div>
                        <ul>
                            <li><a href="#"></a></li>
                        </ul>
                    </div>

                    <a href="#">設計師</a>
                    <div>
                        <ul>
                            <li><a href="#">Malis 馬里斯</a></li>
                            <li><a href="#">furry furry</a></li>
                            <li><a href="#">DreamfulCat 喵伊</a></li>
                            <li><a href="#">Scentennials</a></li>
                            <li><a href="#">CYPRESS HOME</a></li>
                            <li><a href="#">TopChoice</a></li>
                        </ul>
                    </div>

                    <a href="#">絕版品出清</a>
                    <div>
                        <ul>
                            <li><a href="#"></a></li>
                        </ul>
                    </div>
                </div>
                <!-- end 選單 -->

                <div class="filter">
                    <div class="filter_size">
                        <p>進階篩選</p>
                        <label>
                            <input type="checkbox" name="">
                            單人
                        </label>
                        <label>
                            <input type="checkbox" name="">
                            雙人
                        </label>
                        <label>
                            <input type="checkbox" name="">
                            加大
                        </label>
                        <label>
                            <input type="checkbox" name="">
                            特大
                        </label>
                    </div>

                    <div class="filter_price">
                        <p>價格區間</p>
                        <input type="text" name="" value="最低">
                        <span>~</span>
                        <input type="text" name="" value="最高">
                        <a href="#">OK</a>
                    </div>
                </div>


            </aside>

            <div class="rightColumn">
                <div class="breadcrumb">
                    <ul>
                        <li><a href="#">首頁</a></li>
                        <li><a href="#">品牌</a></li>
                        <li><a href="#">義大利LaBelle</a></li>
                        <li><a href="#">純棉系列</a></li>
                        <li><a href="#">防蹣抗菌兩用被床包組-悠閒假日</a></li>
                    </ul>
                </div>

                <div class="pdcontent clearfix" id="pdcontentWrap">
                    <div class="slick-wrap" style="">
                        <div class="slider-for">
                        </div>
                        <div class="slider-nav" style="">
                        </div>
                    </div>
                    <!-- <figure>
                        <img :src=[imgPath]>
						<div class="imgLoader"></div>
                    </figure> -->

                    <div class="pdcontent_info">
                        <p class="pdcontent_name">La Belle<br>雙人 / 防蹣抗菌兩用被床包組 / 悠閒假日</p>
                        <p class="pdcontent_event">純棉抗菌床組任選 &#8600; 85折</p>
                        <p class="pdcontent_price">
                            原價${{ data[activeIdx].originPrice }}<br> 網路特價
                            <span>${{ data[activeIdx].price }}</span>
                        </p>

                        <div class="pdcontent_size clearfix">
                            <span>尺寸</span>
                            <ul>
                                <li v-for="(item, index) in data" v-bind:class="[(index === activeIdx) ? 'active': '']">
                                    <a href="#" @click="changeSize" :data-index="[index]">{{item.sizename}}</a>
                                </li>

                            </ul>
                        </div>

                        <div class="pdcontent_qty">
                            <div>
                                <span>數量</span>
                                <select @change="changeQty" id="pdNumSelect">
										<option v-for="n in data[activeIdx].maxqty" :value=[n]>{{n}}</option>
									</select>
                            </div>
                            <div>
                                <a href="#" class="addToWish"></a>
                                <a href="javascript:void(0)" class="addToBag" id="addToBag">ADD TO BAG</a>
                            </div>
                        </div>

                        <div class="pdcontent_no clearfix">
                            <p>商品編號 P161003007455</p>
                            <div class="fbShare"></div>
                        </div>

                        <div class="pdAcc">
                            <a href="#">商品簡介</a>
                            <div>
                                <div class="pdAccInner">
                                    <p>&#9734;德國SILVER防蹣抗菌認證，品質升級安心入眠</p>
                                    <p>&#9734;高品質斜織紋100%純棉表布</p>
                                    <p>&#9734;SGS檢驗合格不含有毒物質</p>
                                    <p>&#9734;寢具公會安心認證標章</p>
                                    <p>&#9734;輕柔舒適的睡眠好品質</p>
                                </div>
                            </div>

                            <a href="#">付款/配送方式</a>
                            <div>
                                <div class="pdAccInner">
                                    <p>&#9734;付款方式 貨到付款/線上刷卡(一次付清)/虛擬ATM匯款</p>
                                    <p>&#9734;配送方式 貨運宅配(本島及離島指定區域)/國際EMS配送</p>
                                    <p>&#9734;運費說明 本島免運/離島酌收200元/國際配送請先詢價</p>
                                </div>
                            </div>
                        </div>
                        <!-- end pdAcc -->

                        <div class="pdcontent_guide">
                            <a href="#sizeguide" class="js-mfp">商品規格</a>
                        </div>

                        <div class="pdcontent_add">
                            <p>加購商品</p>
                            <label>
									<input type="checkbox" name="">
									我要加<span>$450</span>買La Belle 《純白素雅》信封式保潔枕套2入
								</label>
                            <label>
									<input type="checkbox" name="">
									我要加 $650 買 La Belle《純白素雅》信封式保潔墊1入
								</label>
                        </div>
                        <!-- end pdcontent_add -->

                    </div>
                    <!-- end pdcontent_info -->

                    <input type="hidden" name="pdSize" v-model="currentSize">
                    <input type="hidden" name="pdNum" v-model="currentQty">

                </div>
                <!-- end pdcontent -->

                <!-- HTML編輯 -->
                <div>
                    <img src="images/assets/homeBanner2.jpg">
                </div>
                <!-- end HTML編輯 -->

            </div>
            <!-- end rightColumn -->

        </div>
        <!-- end innerWrap -->

    </div>
    <!-- end wrap -->

    <div class="mfp-hide sizeguide" id="sizeguide">
        <p>商品規格</p>
        <table>
            <tr>
                <th>尺寸</th>
                <th>商品內容</th>
                <th>規格</th>
                <th>材質</th>
            </tr>
            <tr>
                <td>單人</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套1入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>雙人</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>加大</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
            <tr>
                <td>特大</td>
                <td>
                    被套/兩用被1入<br> 床包1入
                    <br> 枕套2入
                </td>
                <td>
                    被套5x7尺（150x210cm）<br> 床包3.5x6.2尺（105x186x30cm）
                    <br> 枕套 45x75cm
                </td>
                <td>純棉</td>
            </tr>
        </table>
    </div>

    <div class="eventWrap">
    	<div class="eventInner">
    		<p class="eventTitle">最新活動NEWS</p>
    		<ul>
    			<li>
    				<a href="#"><img src="images/assets/event1.jpg"></a>
    			</li>
    			<li>
    				<a href="#"><img src="images/assets/event2.jpg"></a>
    			</li>
    			<li>
    				<a href="#"><img src="images/assets/event3.jpg"></a>
    			</li>
    			<li>
    				<a href="#"><img src="images/assets/event4.jpg"></a>
    			</li>
    			<li>
    				<a href="#"><img src="images/assets/event5.jpg"></a>
    			</li>
    		</ul>

    		<!-- event開關 -->
    		<a href="#" class="eventSwitch"></a>

    	</div>
    </div>
    <div class="pageCover"></div>
    <script>
        // var pdImg = 'images/assets/pd1.jpg';
        var pdImgs = [
            "images/assets/BLL16550LD-01.jpg",
            "images/assets/BLL16550LD-02.jpg",
            "images/assets/BLL16550LD-03.jpg",
            "images/assets/BLL16550LD-013.jpg",
            "images/assets/BLL16550LD-04.jpg",
            "images/assets/BLL16550LD-05.jpg"
        ];
        var colorsize = [{
            "size": "2",
            "sizename": "雙人",
            "maxqty": 4,
            "originPrice": 6000,
            "price": 5280
        }, {
            "size": "1",
            "sizename": "單人",
            "maxqty": 8,
            "originPrice": 6000,
            "price": 3280
        }, {
            "size": "2+",
            "sizename": "加大",
            "maxqty": 3,
            "originPrice": 6000,
            "price": 5580
        }, {
            "size": "2++",
            "sizename": "特大",
            "maxqty": 6,
            "originPrice": 6500,
            "price": 6280
        }];

        $(function() {
            getImg(pdImgs);

            new Vue({
                el: '#pdcontentWrap',
                data: {
                    data: colorsize,
                    sizename: [],
                    activeIdx: 0,
                    currentSize: '',
                    currentQty: '1',
                    // imgPath: pdImg
                },
                created: function() {
                    var self = this;

                    this.data.forEach(function(elem, index, array) {
                        self.sizename.push(elem.sizename);
                    });

                    // var waitImg = new Promise(function(resolve, reject) {
                    //     var img = new Image();
                    //     img.onload = function() {
                    //         resolve(self.imgPath);
                    //     }
                    //     img.onerror = function(Error) {
                    //         reject(Error);
                    //     }
                    //     img.src = self.imgPath;
                    // });
                    // waitImg.then(function(imgPath) {
                    //         // console.log('waitImg done ' + imgPath);
                    //         $('.imgLoader').css('display', 'none');
                    //     })
                    //     .catch(function(errMsg) {
                    //         // console.log('waitImg done with error ' + errMsg);
                    //         self.imgPath = 'images/noimg.jpg';
                    //         $('.imgLoader').css('display', 'none');
                    //     })

                    this.currentSize = this.data[0].size;

                },
                mounted: function() {
                    var pdAcc = new Accordion('.pdAcc', 'a', 'div');
                    pdAcc.init();
                    $('.js-mfp').magnificPopup();
                },
                methods: {
                    changeSize: function (e) {
                        e.preventDefault();
                        // console.log('changeSize: ' + this.el);
                        this.activeIdx = $(e.target).data('index');
                        this.currentQty = '1';
                        $('#pdNumSelect').val(1);
                    },
                    changeQty: function (e){
                        // console.log('change ' + $(e.target).val());
                        this.currentQty = $(e.target).val();

                    },

                },
                watch: {
                    activeIdx: function() {
                        this.currentSize = this.data[this.activeIdx].size;
                    },
                    currentSize: function() {
                        // console.log('watch current size ' + this.currentSize);
                    },
                    currentQty: function() {
                        // console.log('watch qty ' + this.currentQty);
                    }
                }
            });

            $(".pdAcc .accordion-head").click();

        });

        // 判斷圖存在與否
        function getImg(imgarray) {
            var imgs = [];
            var imgsLength = imgarray.length;
            var loadIdx = 0;

            var loadImg = function(imgobj) {
                var img = new Image();
                img.onload = function() {
                    // console.log("onload");
                    imgs.push(imgarray[loadIdx]);
                    if (loadIdx === (imgsLength - 1)) {
                        // console.log('stop: onload' + imgs);
                        buildImgHtml(imgs);
                        return;
                    }
                    if (loadIdx <= imgsLength) {
                        loadIdx++;
                        loadImg(imgarray[loadIdx]);
                    }

                }
                img.onerror = function() {
                    // console.log("onerror");
                    if (loadIdx === (imgsLength - 1)) {
                        // console.log("stop: onerror" + imgs);
                        buildImgHtml(imgs);
                        return;
                    }
                    if (loadIdx < (imgsLength - 1)) {
                        loadIdx++;
                        loadImg(imgarray[loadIdx]);
                    }

                }
                img.src = imgobj;
            }

            loadImg(imgarray[loadIdx]);

        }

        // 劃出商品大小圖
        function buildImgHtml(imgs) {
            var html = "";
            for (var i = 0; i < imgs.length; i++) {
                html = html + "<img src='" + imgs[i] + "'>";
            }
            $(".slider-for").append(html);
            $('.slider-nav').append(html);

            $(".slider-for").slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                arrows: false,
                fade: true,
                asNavFor: '.slider-nav'
            });
            $('.slider-nav').slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                asNavFor: '.slider-for',
                arrows: true,
                // dots: true,
                // centerMode: true,
                focusOnSelect: true
            });

        }
    </script>

    <footer>
    	<div class="footerTop">
    		<a href="#" class="js-openfooter"></a>
    		<div class="footerTop_link">
    			<a href="#">格蕾寢飾 關於我們</a>
    		</div>
    	</div>
    	<div class="footerBottom">
    	    <div class="wrap clearfix">

    	    	<div class="footer_left clearfix">
    	    		<div>
    	    			<p>> 關於格蕾</p>
    	    			<ul>
    	    				<li><a href="#">公司資訊</a></li>
    	    				<li><a href="#">品牌介紹</a></li>
    	    				<li><a href="#">隱私權條款</a></li>
    	    			</ul>
    	    		</div>
    	    		<div>
    	    			<p>> 購物說明</p>
    	    			<ul>
    	    				<li><a href="#">會員服務</a></li>
    	    				<li><a href="#">付款方式</a></li>
    	    				<li><a href="#">物流與配送</a></li>
    	    				<li><a href="#">售後服務</a></li>
    	    			</ul>
    	    		</div>
    	    		<div>
    	    			<p>> 客服資訊</p>
    	    			<ul>
    	    				<li><a href="#">客服留言</a></li>
    	    				<li><a href="#">海外運費詢價</a></li>
    	    				<li><a href="#">電子發票</a></li>
    	    				<li><a href="#">常見問題</a></li>
    	    			</ul>
    	    		</div>
    	    	</div>

    	    	<div class="footer_right">
    	    		<p>客服專線：(02)2267-2618</p>
    	    		<p>服務時間：週一～週五 09:00 ~ 18:00</p>
    	    		<p>例假日及午休時間(PM 12:00 ~ 13:00)暫不提供電話服務</p>
    	    		<p>本站最佳瀏覽環境請使用Google Chrome、Firefox或IE10以上版本</p>
    	    		<p>格蕾國際有限公司 GREAT CO., LTD</p>
    	    		<p>隱私權政策 @2017 GreatLiving</p>
    	    	</div>

    	    </div>
    	</div>
    </footer>


</body>

</html>